[BootStrap] 富编辑器,基于wysihtml5

在我的周围,已经有很多人在使用BootStrap,但对于任何一个带留言、评论、提问、文章编辑功的网站,编辑器永远是重中之重,显然,早期的编辑器完全没考虑过BootStrap的出现,或皮肤跟网站不匹配,或不支持BootStrap样式。

如果你了解BootStrap,肯定听说过bootstrap-wysihtml5(因为也没有其它的更多选择),但如果你稍稍使用一下,你便会发现,它不支持IE8 !而BootStrap的最底支持就是IE8,为了一款编辑器,又大大限制了使用人群,即使在IE9下,也是稍有问题,严重依赖于编译器特性。

这里推荐一款跟BootStrap完美兼容的编辑器,wysihtml5。

事实上,bootstrap-wysihtml5的作者也提到他的这款编辑器的最初灵感就是来的自于wysihtml5。

Bootstrap-wysihtml5 is a javascript plugin that makes it easy to create simple, beautiful wysiwyg editors with the help of wysihtml5 and Twitter Bootstrap.

不过wysihtml5也有缺点:原作者快一年没更新了,作遗留了部份 Bug 未解决。

 

在我将其与BootStrap结合的过程中,顺手解决了能测试到的所有Bug,最于有了如下效果:

如果你想测试这款编辑器,可以在    这里    点击匿名提问或任何其它可以输入编辑的地方。

欢迎右键扒取。

编辑效果图一样:

详见:http://classfoo.cn/

posted @ 2013-11-21 21:54  _Boz  阅读(7952)  评论(0编辑  收藏  举报
4AI?Z:cp1z?_RJQle1]Gs;P!T)RHroW|